{"openapi":"3.1.0","info":{"title":"POST /api/v1/ramp/accounting/mark-synced","version":"1.0.0","description":"Mark Ramp objects as synced"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/ramp/accounting/mark-synced":{"post":{"tags":["ramp"],"summary":"Mark Ramp objects as synced","description":"Notify Ramp that objects have been synced to DayZero. Supports all sync types.","operationId":"mark_synced_api_v1_ramp_accounting_mark_synced_post","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RampMarkSyncedRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Bad Request - Invalid input","content":{"application/json":{"example":{"detail":"Invalid request parameters"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"RampMarkSyncedRequest":{"properties":{"sync_type":{"type":"string","title":"Sync Type","description":"TRANSACTION_SYNC, REIMBURSEMENT_SYNC, BILL_SYNC, BILL_PAYMENT_SYNC, TRANSFER_SYNC, STATEMENT_CREDIT_SYNC"},"object_ids":{"items":{"type":"string"},"type":"array","minItems":1,"title":"Object Ids"}},"type":"object","required":["sync_type","object_ids"],"title":"RampMarkSyncedRequest","description":"Request body for generic mark-synced endpoint."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}